Update a connector data service config
Any change to the data service config will move the deployed version out of sync with the configuration and would need to redeploy.
Authorization
oAuth2AuthCode In: header
Path Parameters
uuidMajor version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
^main|latest|\d+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/data-service-configs" \ -H "Content-Type: application/json" \ -d '{ "column-prefix": "__test_column_prefix", "service-type": "external", "stages": [ "import", "intermediate" ], "max-usage": 1000, "service-category": 1 }'{
"message": "Connector data service config updated."
}{
"message": "Bad request.",
"errors": {
"column-prefix": "This value should not be blank.",
"service-type": "This value should not be blank.",
"stages": "This value should not be blank."
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Connector not found."
}How is this guide?